# sim_eval_table.R

eval_table <- function(
  X_lhs, true_theta, lhs_scale, rhs_scale,
  table_UNI, table_EQP, table_CP) {

  out <- data.frame(
    lhs_raw     = apply(X_lhs, 1, sum),
    lhs_theta   = true_theta[, lhs_scale],
    rhs_theta   = true_theta[, rhs_scale])

  out <- merge(out, table_UNI, by.x = "lhs_raw", by.y = sprintf("raw_%s", lhs_scale))
  out <- out[, 1:4]
  colnames(out)[4] <- "rhs_theta_uni"

  out <- merge(out, table_EQP, by.x = "lhs_raw", by.y = sprintf("raw_%s", lhs_scale))
  out <- out[, 1:5]
  colnames(out)[5] <- "rhs_theta_eqp"

  if (!is.null(table_CP)) {
    out <- merge(out, table_CP, by.x = "lhs_raw", by.y = sprintf("raw_%s", lhs_scale))
    out <- out[, c(
      "lhs_raw",
      "lhs_theta",
      "rhs_theta",
      "rhs_theta_uni",
      "rhs_theta_eqp",
      sprintf("eap_dim%s", rhs_scale)
    )]
    colnames(out)[6] <- "rhs_theta_cp"
  } else {
    out[["rhs_theta_cp"]] <- NA
  }

  return(out)

}
