# sim_get_data.R

gen_theta <- function(mu_sigma) {

  if (all(mu_sigma$sigma == 1)) {
    true_theta <- rmvn(1000, mu_sigma$mu[1], mu_sigma$sigma[1, 1])
    true_theta <- cbind(true_theta, true_theta)
  } else {
    true_theta <- rmvn(1000, mu_sigma$mu, mu_sigma$sigma)
    true_theta <- as.matrix(true_theta)
  }

  return(true_theta)

}

gen_data <- function(true_theta, ipar_a, ipar_d) {

  X <- mirt::simdata(ipar_a, ipar_d, itemtype = "graded", Theta = true_theta)
  colnames(X) <- rownames(ipar_a)
  X <- as.data.frame(X)

  return(X)

}
