# sim_get_ipar.R

d <- loadData(
  response  = "dat_dePHQ9_validation.csv",
  itemmap   = "imap_dePHQ9.csv",
  anchor    = "anchor_dePHQ9.csv",
  input_dir = "data"
)

d <- getCompleteData(d)

set.seed(1)
calib <- runCalibration(d, dimensions = 1, fixedpar = TRUE, technical = list(NCYCLES = 1000))
ipar  <- mirt::coef(calib, IRTpars = FALSE, simplify = TRUE)

ipar   <- ipar$items
ipar_a <- ipar[, c(1, 1)]
ipar_d <- ipar[, 2:5]
colnames(ipar_a) <- paste0("a", 1:2)

pro_items  <- getItemNames(d, 1)
phq_items  <- getItemNames(d, 2)

ipar_a[pro_items, 2] <- 0
ipar_a[phq_items, 1] <- 0
